<template>
  <div class="dashboard-container">
    <!-- <component :is="currentRole"/> -->
    <h1>欢迎访问后台管理系统</h1>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import adminDashboard from './admin'
import editorDashboard from './editor'

export default {
  name: 'Dashboard',
  components: { adminDashboard, editorDashboard },
  data() {
    return {
      currentRole: 'adminDashboard'
    }
  },
  computed: {
    ...mapGetters([
      'roles'
    ])
  },
  created() {
    if (!this.roles.includes('admin')) {
      this.currentRole = 'editorDashboard'
    }
  }
}
</script>

<style lang="scss" scoped>
.dashboard-container {
  h1 {
    text-align: center;
    margin-top: 200px;
  }
}
</style>
